#
# Makefile for rpcsec_gss.
#
# Dug Song <dugsong@monkey.org>
#
# $Id: Makefile.in,v 1.2 2004/06/04 00:59:09 marius Exp $

srcdir	= @srcdir@
VPATH	= @srcdir@

CC	= @CC@
CFLAGS	= @CFLAGS@ @DEFS@

INCS	= -I$(srcdir) -I$(srcdir)/..

HDRS	= auth.h auth_gss.h auth_unix.h clnt.h netdb.h pmap_clnt.h	\
	  pmap_prot.h pmap_rmt.h rpc.h rpc_msg.h svc.h svc_auth.h	\
	  types.h xdr.h 

SRCS	= auth_none.c auth_unix.c authunix_prot.c auth_gss.c		\
	  authgss_prot.c bindresvport.c clnt_generic.c clnt_perror.c	\
	  clnt_raw.c clnt_simple.c clnt_tcp.c clnt_udp.c		\
	  rpc_dtablesize.c get_myaddress.c getrpcent.c getrpcport.c	\
	  pmap_clnt.c pmap_getmaps.c pmap_getport.c pmap_prot.c		\
	  pmap_prot2.c pmap_rmt.c rpc_prot.c rpc_commondata.c		\
	  rpc_callmsg.c svc.c svc_auth.c svc_auth_none.c		\
	  svc_auth_unix.c svc_auth_gss.c svc_raw.c svc_run.c		\
	  svc_simple.c svc_tcp.c svc_udp.c xdr.c xdr_array.c		\
	  xdr_float.c xdr_mem.c xdr_rec.c xdr_reference.c xdr_stdio.c

OBJS	= $(SRCS:.c=.o)

.c.o:
	$(CC) $(CFLAGS) $(INCS) -c $(srcdir)/$*.c

all:	librpc.a


librpc.a: $(OBJS)
	@echo "building librpc.a"
	ar cru librpc.a $(OBJS)
	@RANLIB@ librpc.a

clean:
	rm -f *.o *~ librpc.a

distclean: clean
	rm -f Makefile

install: ;
